| OpenSubdiv

Loading...
Searching...
No Matches
surfaceFactoryCache.h File Reference
`#include "../version.h"`
`#include "../bfr/irregularPatchType.h"`
`#include <map>`
`#include <cstdint>`

Go to the source code of this file.

## Classes
class | SurfaceFactoryCache
| Container used internally by SurfaceFactory to store reusable information. More...
class | SurfaceFactoryCacheThreaded< MUTEX_TYPE, READ_LOCK_GUARD_TYPE, WRITE_LOCK_GUARD_TYPE >
| Template for declaring thread-safe subclasses of SurfaceFactoryCache. More...

## Namespaces
namespace | OpenSubdiv
namespace | OpenSubdiv::OPENSUBDIV_VERSION
namespace | OpenSubdiv::OPENSUBDIV_VERSION::Bfr